gnutls_check_version(3)

NAME
gnutls_check_version - API function

SYNOPSIS
#include <gnutls/gnutls.h>

const char * gnutls_check_version(const char * req_version);

ARGUMENTS

const char * req_version
    version string to compare with, or NULL.

DESCRIPTION
Check the GnuTLS Library version against the provided string. See GNUTLS_VERSION for a suitable req_version string. See also gnutls_check_version_numeric(), which provides this functionality as a macro.

RETURNS
Check that the version of the library is at minimum the one given as a string in req_version and return the actual version string of the library; return NULL if the condition is not met. If NULL is passed to this function no check is done and only the version string is returned.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/